x2gogetapps(8)

NAME
x2gogetapps - Generate list of Published Applications

SYNOPSIS
x2gogetapps

DESCRIPTION
x2gogetapps returns a machine-readable list of X2Go Published Applications. This command is evoked from connected X2Go client applications.

x2gogetapps is run with normal user privileges.

RETURN VALUES
x2gogetapps returns one or multiple items in the below format:
  <icon>
  [ ... base64 encoded image information ...]
  </icon>
  <desktop>
  [ ... selected fields form .desktop file ... ]
  </desktop>
  ... As exitcode x2gogetapps always returns 0.

SECURITY INFORMATION / DISCLAIMER
Users are advised to not misinterpret X2GoServer's Published Application Mode as a security feature.

Even when using Published Application Mode, it is still possible for users to locally configure an X2Go Client with any setting they want, and use that to connect.

So if you're trying to keep users from running a certain application on the host, using Published Application Mode to "lock" the configuration is the *wrong* way. The users will still be able to run that application by creating their own, local configuration file and using that.

To keep users from running an application on the server, you have to use *filesystem permissions*. In the simplest case, this means setting chmod 750 or 550 on the particular application on the host, and making sure the users in question are not the owner and also not a member of the group specified for the application.

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (http://www.x2go.org).